ignite-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From amashen...@apache.org
Subject [ignite] 25/41: GG-17424 Disable by default bash pipefail/errexit/nounset options from Ignite startup scripts
Date Tue, 07 May 2019 15:21:33 GMT
This is an automated email from the ASF dual-hosted git repository.

amashenkov pushed a commit to branch gg-18540
in repository https://gitbox.apache.org/repos/asf/ignite.git

commit e66ff5dfef3c59b44a897c3051090f13b0a686d7
Author: mcherkasov <mcherkasov@gridgain.com>
AuthorDate: Fri Apr 26 18:37:54 2019 +0300

    GG-17424 Disable by default bash pipefail/errexit/nounset options from Ignite startup
scripts
    
    (cherry picked from commit f871f10)
---
 bin/control.sh                 | 14 +++++++++-----
 bin/ignite-tf.sh               | 14 +++++++++-----
 bin/ignite.sh                  | 13 ++++++++-----
 bin/ignitevisorcmd.sh          | 14 +++++++++-----
 bin/include/functions.sh       | 14 +++++++++-----
 bin/include/parseargs.sh       | 14 +++++++++-----
 bin/include/setenv.sh          | 14 +++++++++-----
 modules/sqlline/bin/sqlline.sh | 14 +++++++++-----
 packaging/package.sh           | 13 ++++++++-----
 9 files changed, 79 insertions(+), 45 deletions(-)

diff --git a/bin/control.sh b/bin/control.sh
index 1411f15..155df4d 100755
--- a/bin/control.sh
+++ b/bin/control.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/bin/ignite-tf.sh b/bin/ignite-tf.sh
index 64808cd..177222d 100755
--- a/bin/ignite-tf.sh
+++ b/bin/ignite-tf.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/bin/ignite.sh b/bin/ignite.sh
index 81f6f4c..e986f6f 100755
--- a/bin/ignite.sh
+++ b/bin/ignite.sh
@@ -1,9 +1,12 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
 
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
diff --git a/bin/ignitevisorcmd.sh b/bin/ignitevisorcmd.sh
index d9212c6..b40e312 100755
--- a/bin/ignitevisorcmd.sh
+++ b/bin/ignitevisorcmd.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/bin/include/functions.sh b/bin/include/functions.sh
index 2f903ea..779f2b9 100755
--- a/bin/include/functions.sh
+++ b/bin/include/functions.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/bin/include/parseargs.sh b/bin/include/parseargs.sh
index 26be961..8acb462 100755
--- a/bin/include/parseargs.sh
+++ b/bin/include/parseargs.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/bin/include/setenv.sh b/bin/include/setenv.sh
index b652077..3829bcb 100755
--- a/bin/include/setenv.sh
+++ b/bin/include/setenv.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/modules/sqlline/bin/sqlline.sh b/modules/sqlline/bin/sqlline.sh
index c70bea6..4b13b13 100644
--- a/modules/sqlline/bin/sqlline.sh
+++ b/modules/sqlline/bin/sqlline.sh
@@ -1,9 +1,13 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
+
 #
 # Copyright 2019 GridGain Systems, Inc. and Contributors.
 #
diff --git a/packaging/package.sh b/packaging/package.sh
index d409052..223e314 100755
--- a/packaging/package.sh
+++ b/packaging/package.sh
@@ -1,9 +1,12 @@
 #!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
+if [ ! -z "${IGNITE_SCRIPT_STRICT_MODE:-}" ]
+then
+    set -o nounset
+    set -o errexit
+    set -o pipefail
+    set -o errtrace
+    set -o functrace
+fi
 
 cd "$(dirname "${BASH_SOURCE[0]}")"    # Run from the script's root
 


Mime
View raw message